Bug 147314 - gtk+-1.2.10-33.src.rpm Fails to Rebuild
gtk+-1.2.10-33.src.rpm Fails to Rebuild
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 01:36 EST by Joseph D. Wagner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:15:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A List of Installed RPM's on My System (16.20 KB, text/plain)
2005-02-07 01:41 EST, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2005-02-07 01:36:08 EST
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux 
2.6.10-experimental; X11; i686; en_US) (KHTML, like Gecko) 
 
Description of problem: 
gtk+-1.2.10-33.src.rpm fails to rebuild using rpmbuild with the set 
of packages I have installed (or lack thereof).  See attachment for a 
list of packages installed on my system. 
 
Version-Release number of selected component (if applicable): 
gtk+-1.2.10-33.src.rpm 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
run 'rpmbuild --rebuild --target=i386 gtk+-1.2.10-33.src.rpm' with 
the same set of packages I have installed (or lack thereof). 
 
Actual Results: 
Installing gtk+-1.2.10-33.src.rpm 
Building target platforms: i386 
Building for target i386 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.49559 
+ umask 022 
+ cd /usr/src/redhat/BUILD 
+ LANG=C 
+ export LANG 
+ unset DISPLAY 
+ cd /usr/src/redhat/BUILD 
+ rm -rf gtk+-1.2.10 
+ /usr/bin/gzip -dc /usr/src/redhat/SOURCES/gtk+-1.2.10.tar.gz 
+ tar -xf - 
+ STATUS=0 
+ '[' 0 -ne 0 ']' 
+ cd gtk+-1.2.10 
++ /usr/bin/id -u 
+ '[' 0 = 0 ']' 
+ /bin/chown -Rhf root . 
++ /usr/bin/id -u 
+ '[' 0 = 0 ']' 
+ /bin/chgrp -Rhf root . 
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w . 
+ echo 'Patch #1 (gtk+-1.2.6-ahiguti.patch):' 
Patch #1 (gtk+-1.2.6-ahiguti.patch): 
+ patch -p1 -b --suffix .ahiguti -s 
+ echo 'Patch #5 (gtk+-1.2.8-wrap-alnum.patch):' 
Patch #5 (gtk+-1.2.8-wrap-alnum.patch): 
+ patch -p1 -b --suffix .alnum -s 
+ echo 'Patch #10 (gtk+-1.2.10-alignment.patch):' 
Patch #10 (gtk+-1.2.10-alignment.patch): 
+ patch -p1 -b --suffix .alignment -s 
+ echo 'Patch #11 (gtk+-1.2.10-expose.patch):' 
Patch #11 (gtk+-1.2.10-expose.patch): 
+ patch -p1 -b --suffix .expose -s 
+ echo 'Patch #12 (gtk+-1.2.10-focus.patch):' 
Patch #12 (gtk+-1.2.10-focus.patch): 
+ patch -p1 -b --suffix .focus -s 
+ echo 'Patch #13 (gtk+-1.2.10-encoding.patch):' 
Patch #13 (gtk+-1.2.10-encoding.patch): 
+ patch -p1 -b --suffix .encoding -s 
+ echo 'Patch #14 (gtk+-1.2.10-ctext.patch):' 
Patch #14 (gtk+-1.2.10-ctext.patch): 
+ patch -p1 -b --suffix .ctext -s 
+ echo 'Patch #15 (gtk+-1.2.10-utf8fontset.patch):' 
Patch #15 (gtk+-1.2.10-utf8fontset.patch): 
+ patch -p1 -b --suffix .utf8fontset -s 
+ echo 'Patch #16 (gtk+-1.2.10-kpenter.patch):' 
Patch #16 (gtk+-1.2.10-kpenter.patch): 
+ patch -p1 -b --suffix .kpenter -s 
+ echo 'Patch #17 (gtk+-1.2.10-themeswitch.patch):' 
Patch #17 (gtk+-1.2.10-themeswitch.patch): 
+ patch -p1 -b --suffix .themeswitch -s 
+ echo 'Patch #18 (gtk+-1.2.10-pixmapref.patch):' 
Patch #18 (gtk+-1.2.10-pixmapref.patch): 
+ patch -p1 -b --suffix .pixmapref -s 
+ echo 'Patch #19 (gtk+-1.2.10-missingchar.patch):' 
Patch #19 (gtk+-1.2.10-missingchar.patch): 
+ patch -p1 -b --suffix .missingchar -s 
+ echo 'Patch #20 (gtk+-1.2.10-ukfont.patch):' 
Patch #20 (gtk+-1.2.10-ukfont.patch): 
+ patch -p1 -b --suffix .ukfont -s 
+ echo 'Patch #21 (gtk+-1.2.10-deletedir.patch):' 
Patch #21 (gtk+-1.2.10-deletedir.patch): 
+ patch -p1 -b --suffix .deletedir -s 
+ echo 'Patch #22 (gtk+-1.2.10-fontwarning.patch):' 
Patch #22 (gtk+-1.2.10-fontwarning.patch): 
+ patch -p1 -b --suffix .fontwarning -s 
+ echo 'Patch #23 (gtk+-1.2.10-troughpaint.patch):' 
Patch #23 (gtk+-1.2.10-troughpaint.patch): 
+ patch -p0 -b --suffix .troughpaint -s 
+ echo 'Patch #24 (gtk+-1.2.10-localecrash.patch):' 
Patch #24 (gtk+-1.2.10-localecrash.patch): 
+ patch -p1 -b --suffix .localecrash -s 
+ echo 'Patch #25 (gtk+-1.2.10-xlibs.patch):' 
Patch #25 (gtk+-1.2.10-xlibs.patch): 
+ patch -p1 -b --suffix .xlibs -s 
+ echo 'Patch #26 (gtk+-1.2.10-dndorder.patch):' 
Patch #26 (gtk+-1.2.10-dndorder.patch): 
+ patch -p0 -b --suffix .dndorder -s 
+ echo 'Patch #27 (gtk+-1.2.10-clistfocusrow.patch):' 
Patch #27 (gtk+-1.2.10-clistfocusrow.patch): 
+ patch -p0 -b --suffix .clistfocusrow -s 
+ echo 'Patch #28 (gtk+-1.2.10-bellvolume.patch):' 
Patch #28 (gtk+-1.2.10-bellvolume.patch): 
+ patch -p1 -b --suffix .bellvolume -s 
+ echo 'Patch #29 (gtk+-1.2.10-libtool.patch):' 
Patch #29 (gtk+-1.2.10-libtool.patch): 
+ patch -p1 -b --suffix .libtool -s 
+ echo 'Patch #31 (gtk+-underquoted.patch):' 
Patch #31 (gtk+-underquoted.patch): 
+ patch -p1 -b --suffix .underquoted -s 
+ tar zxf /usr/src/redhat/SOURCES/gtk+-pofiles.tar.gz 
+ libtoolize --force 
You should update your `aclocal.m4' by running aclocal. 
+ aclocal-1.4 
aclocal: configure.in: 0: macro `AM_PATH_PROG_WITH_TEST' not found in 
library 
aclocal: configure.in: 0: macro `AM_PATH_PROG_WITH_TEST' not found in 
library 
aclocal: configure.in: 0: macro `AM_PATH_PROG_WITH_TEST' not found in 
library 
aclocal: configure.in: 0: macro `AM_PATH_PROG_WITH_TEST' not found in 
library 
aclocal: configure.in: 0: macro `AM_PATH_PROG_WITH_TEST' not found in 
library 
aclocal: configure.in: 0: macro `AM_PATH_PROG_WITH_TEST' not found in 
library 
aclocal: configure.in: 0: macro `AM_LC_MESSAGES' not found in library 
error: Bad exit status from /var/tmp/rpm-tmp.49559 (%prep) 
 
 
RPM build errors: 
    Bad exit status from /var/tmp/rpm-tmp.49559 (%prep) 
 
 
Additional info:
Comment 1 Joseph D. Wagner 2005-02-07 01:41:08 EST
Created attachment 110709 [details]
A List of Installed RPM's on My System
Comment 2 Matthias Clasen 2005-04-16 00:15:12 EDT
I have managed to rebuild gtk+ with gcc4 now. Please retry with the rawhide package.

Note You need to log in before you can comment on or make changes to this bug.